# Get the compressed features list

This endpoint is used to quickly load in a large batch of features to show in a viewer and then subsequently load additional features using the feature retrieval endpoints such as [search feature by extent](/developers/api-v3/path-vector/timestamps/search-feature-by-extent.md) or [search feature by tile](/developers/api-v3/path-vector/timestamps/search-features-by-tiles.md). This batch can be temporarily unavailable shortly after edits are made to the timestamp as the effect of the changes is being passed on to the batch.

| **Description** | Retrieves one large batch of brotli precompressed features.            |
| --------------- | ---------------------------------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/vector/timestamp/{timestampId}/compressedListFeatures` |
| **Method**      | GET                                                                    |

### Access Level Rules

| **Access Level** | view |
| ---------------- | ---- |

### Processing Units

| **Processing units** | 5 |
| -------------------- | - |

### Parameters

<table><thead><tr><th width="209">Name</th><th width="418">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the vector layer.</td><td>true</td><td></td></tr><tr><td><code>timestampId</code></td><td>The id of the timestamp to get features for.</td><td>true</td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-vector/timestamps/get-the-compressed-features-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
